#PROJECT : VNC 3.3 client and server for Inferno
#AUTHOR :  Marc Hufschmitt, marcas1@mime.univ-paris8.fr

# VNC authentification definitions

VNCauth : module
{
    PATH : con "./vncauth.dis";

    DESencrypt, DESdecrypt : con iota;
    CHALLENGESIZE : con 16;
    ReallyRandom, NotQuiteRandom : con iota;
    DESKnL : array of int;

    EncryptAndStorePasswd : fn(passwd : string, fname : string ) : int;
    DecryptPasswdFromFile : fn(fname : string) : string;
    randombuf : fn(which, n: int): array of byte;
    EncryptBytes : fn(clef : array of byte, password : string);
    init : fn();
};
